# QObject

Bindings for a QObject.

## Methods

- isWidgetType(...)
- parent(...)
- signals(...)
- slots(...)
- disconnect(...)
- getAttribute(...)
- child(...)
- children(...)
- superClassName(...)
- properties(...)
- deleteLater(...)
- className(...)
- setAttribute(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- getParentNode(...)

## Properties

None

## Qt Properties

- QCString name unnamed

## Qt Signals

- destroyed()
- destroyed(QObject*)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)